#!/bin/sh
echo 'name: cprng-aes
version: 0.3.4
id: cprng-aes-0.3.4-2ff5c9002ed2002c86b8d1bc6958f717

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/cprng-aes-0.3.4
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/cprng-aes-0.3.4
              /usr/local/lib
hs-libraries: HScprng-aes-0.3.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         cipher-aes-0.1.7-2bde16d0e65e58e4de7d62c620128d1f
         crypto-api-0.11-16a99fc611b7503a917d073e4ca16524
         crypto-random-api-0.2.0-8316650302eee29c197dd32c53ec7ac6
         entropy-0.2.1-e9d1a96a708cfd796a336bacda6866ab
         random-1.0.1.1-fb8963ffa6ffa7a0a448fb912ed467a3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/cprng-aes-0.3.4/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/cprng-aes-0.3.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
